Package com.tick42.glue.desktop.intents

# Interface IntentHandler

    public interface IntentHandler

Describes an implementation of an intent.

Since:
  1.4.1

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getApplicationDescription()` | Returns the user friendly (longer) description of the application, as specified in the application configuration.
  `String` | `getApplicationIcon()` | Returns the icon url of the application that has registered the intent handler.
  `default Optional<String>` | `getApplicationInstanceId()` | Returns the application instance id as `Optional`.
  `String` | `getApplicationName()` | Name of the application which registered this Intent implementation, as specified in the application configuration.
  `String` | `getApplicationTitle()` | Returns the title of the application which registered this Intent implementation, as specified in the application configuration.
  `List<String>` | `getContextTypes()` | Returns a `List` with the context types that this handler supports.
  `String` | `getDisplayName()` | Returns the human-readable name of the Intent handler, as specified in the intent definition.
  `String` | `getInstanceId()` | Returns the id of the running application instance.
  `String` | `getName()` | Returns the name of the Intent of this Intent implementation.
  `IntentHandlerType` | `getType()` | Returns the type of the handler.
  `String` | `toString()` | Returns the `String` representation of this handler.

- ## Method Details

  - ### getApplicationName

    String getApplicationName()
    Name of the application which registered this Intent implementation, as specified in the application configuration.
    Returns:
      The name of the application which registered this Intent, never `null`

  - ### getApplicationTitle

    String getApplicationTitle()
    Returns the title of the application which registered this Intent implementation, as specified in the application configuration.
    Returns:
      The title of the application which registered this Intent, never `null`

  - ### getApplicationDescription

    String getApplicationDescription()
    Returns the user friendly (longer) description of the application, as specified in the application configuration.
    Returns:
      The user friendly description of the application, may by `null`

  - ### getApplicationIcon

    String getApplicationIcon()
    Returns the icon url of the application that has registered the intent handler.
    Returns:
      The icon url of the application, may be `null`

  - ### getType

    IntentHandlerType getType()
    Returns the type of the handler.
    Returns:
      The type of the handler, never `null`

  - ### getName

    String getName()
    Returns the name of the Intent of this Intent implementation.
    Returns:
      The name of the Intent, never `null`

  - ### getDisplayName

    String getDisplayName()
    Returns the human-readable name of the Intent handler, as specified in the intent definition.
    Returns:
      The human-readable name of the Intent handler, may be `null`

  - ### getContextTypes

    List<String> getContextTypes()
    Returns a `List` with the context types that this handler supports.
    Returns:
      The context types that this handler supports, never `null`

  - ### getInstanceId

    String getInstanceId()
    Returns the id of the running application instance.
    Returns:
      The instance id, may be `null`
    See Also:
      `getType()`, `getApplicationInstanceId()`

  - ### toString

    String toString()
    Returns the `String` representation of this handler.
    Overrides:
      `toString` in class `Object`
    Returns:
      The `String` representation of this handler, never `null`

  - ### getApplicationInstanceId

    default Optional<String> getApplicationInstanceId()
    Returns the application instance id as `Optional`.
    Returns:
      `Optional` of application instance id, never `null`
    See Also:
      `getInstanceId()`